Name:           python-negar-gui
Version:        0.9.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Graphical User Interface for Negar -- Persian Text Editor

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/javadr/negar-gui
Source:         %{pypi_source negar_gui}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'negar-gui' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-negar-gui
Summary:        %{summary}

%description -n python3-negar-gui %_description


%prep
%autosetup -p1 -n negar_gui-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-negar-gui -f %{pyproject_files}


%changelog
%autochangelog